Encontrar el código que depende de .NET 3.5 SP1

votos
2

¿Hay alguna forma de ejecutar algún tipo de análisis de código para encontrar código que se compile con .NET 3.5 SP1 pero no con 3.5 RTM?

FxCop funciona para ensamblados introducidos con SP1, pero para el código que simplemente llama a nuevos métodos y propiedades, no detecta ese uso.

Publicado el 12/03/2009 a las 20:08
fuente por usuario
En otros idiomas...                            


1 respuestas

votos
1

Claro, puedes resaltar esto con el sistema de equipo fxcop o VS.

Asegúrate de leer esta respuesta . Hay un error con las reglas actuales que se envían con fxcop, por lo que debe tomarse un poco de la mano para que funcione.

Respondida el 23/06/2009 a las 07:03
fuente por usuario

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more